org.optaplanner.persistence.jackson.api.score.buildin.simplelong

## Class SimpleLongScoreJacksonJsonDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonJsonDeserializer<SimpleLongScore>
    - - org.optaplanner.persistence.jackson.api.score.buildin.simplelong.SimpleLongScoreJacksonJsonDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider

      public class SimpleLongScoreJacksonJsonDeserializer
      extends AbstractScoreJacksonJsonDeserializer<SimpleLongScore>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleLongScoreJacksonJsonDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleLongScore` | `deserialize(com.fasterxml.jackson.core.JsonParser parser, com.fasterxml.jackson.databind.DeserializationContext context)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLongScoreJacksonJsonDeserializer

          public SimpleLongScoreJacksonJsonDeserializer()

  - ### Method Detail

    - #### deserialize

          public SimpleLongScore deserialize(com.fasterxml.jackson.core.JsonParser parser,
                                             com.fasterxml.jackson.databind.DeserializationContext context)
                                      throws IOException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<SimpleLongScore>`
      Throws:
        `IOException`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.